WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: TC3: gcc: error trying to exec 'as'  (Read 1912 times)

Offline rminnich

  • WikiUser
  • *
  • Posts: 13
TC3: gcc: error trying to exec 'as'
« on: August 23, 2010, 05:24:19 PM »
tinycore 3: I've downloaded base-dev, and every gcc-like thing I can find; as is missing.

Some change I missed here?

ron

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9707
Re: TC3: gcc: error trying to exec 'as'
« Reply #1 on: August 23, 2010, 05:52:35 PM »
As is in binutils.tcz, maybe that package is missing

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 12402
Re: TC3: gcc: error trying to exec 'as'
« Reply #2 on: August 24, 2010, 12:43:05 AM »
It would be better to use the appbrowser to download/install the compiletc meta-extension - that way you will get everything required for a compile environment.

Offline smiley

  • WikiUser
  • *
  • Posts: 2
Re: TC3: gcc: error trying to exec 'as'
« Reply #3 on: February 21, 2011, 03:19:04 PM »
I loaded the gcc extension and it's listed dependencies kind of expecting to be able to compile afterwards, but this was not the case.  I ran into this issue and much general head scratching ensued until I came across this post.  Now I understand that just downloading the compiletc meta-extension is probably the best way to go with this if you're going to be doing a lot of compiling, but I'm curious as to why the binutils wouldn't be listed as a dep to the gcc extension?  It seems that it would be appropriate to do so.